Bug 1276383 - AttributeError: 'F18_Url' object has no attribute 'partition'
AttributeError: 'F18_Url' object has no attribute 'partition'
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
24
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
abrt_hash:21452319f732f1ababfae6f50e5...
:
: 1304471 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-29 11:00 EDT by Alexander Todorov
Modified: 2017-08-08 08:20 EDT (History)
5 users (show)

See Also:
Fixed In Version: anaconda-25.6-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-08 08:20:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: anaconda-tb (1.14 MB, text/plain)
2015-10-29 11:00 EDT, Alexander Todorov
no flags Details
File: anaconda.log (21.86 KB, text/plain)
2015-10-29 11:00 EDT, Alexander Todorov
no flags Details
File: dnf.log (34.83 KB, text/plain)
2015-10-29 11:00 EDT, Alexander Todorov
no flags Details
File: dnf.rpm.log (33.08 KB, text/plain)
2015-10-29 11:00 EDT, Alexander Todorov
no flags Details
File: environ (3.27 KB, text/plain)
2015-10-29 11:00 EDT, Alexander Todorov
no flags Details
File: journalctl (939.27 KB, text/plain)
2015-10-29 11:00 EDT, Alexander Todorov
no flags Details
File: lsblk_output (1.25 KB, text/plain)
2015-10-29 11:00 EDT, Alexander Todorov
no flags Details
File: nmcli_dev_list (3.29 KB, text/plain)
2015-10-29 11:00 EDT, Alexander Todorov
no flags Details
File: os_info (451 bytes, text/plain)
2015-10-29 11:00 EDT, Alexander Todorov
no flags Details
File: program.log (83.41 KB, text/plain)
2015-10-29 11:00 EDT, Alexander Todorov
no flags Details
File: storage.log (18.42 KB, text/plain)
2015-10-29 11:00 EDT, Alexander Todorov
no flags Details
File: packaging.log (23.87 KB, text/plain)
2015-10-29 11:00 EDT, Alexander Todorov
no flags Details

  None (edit)
Description Alexander Todorov 2015-10-29 11:00:14 EDT
Description of problem:
Try running
./anaconda -G --dirinstall /var/tmp/anaconda-install --liveinst

See bug #1276349 for isntructions how to execute this from a git checkout.

Actual Results:
traceback

Note: I'm not sure if --dirinstall and --liveinst should work together but if not I'm expecting a proper error message, not an exception.

Version-Release number of selected component:
anaconda-24.5-0.1.20151029122830

The following was filed automatically by anaconda:
anaconda 24.5-0.1.20151029122830 exception report
Traceback (most recent call first):
  File "/usr/lib/python3.4/site-packages/pykickstart/commands/method.py", line 53, in __getattr__
    return getattr(self.handler.url, name)
  File "/usr/lib/python3.4/site-packages/pykickstart/commands/method.py", line 105, in __getattr__
    return FC3_Method.__getattr__(self, name)
  File "/home/atodorov/anaconda/pyanaconda/packaging/livepayload.py", line 77, in setup
    osimg = storage.devicetree.getDeviceByPath(self.data.method.partition)
  File "/home/atodorov/anaconda/pyanaconda/packaging/__init__.py", line 1268, in _runThread
    payload.setup(storage, instClass)
  File "/usr/lib64/python3.4/threading.py", line 868, in run
    self._target(*self._args, **self._kwargs)
  File "/home/atodorov/anaconda/pyanaconda/threads.py", line 253, in run
    threading.Thread.run(self, *args, **kwargs)
AttributeError: 'F18_Url' object has no attribute 'partition'

Additional info:
addons:         org_fedora_realm
cmdline:        /usr/bin/python3  ./anaconda -G --dirinstall /var/tmp/anaconda-install/ --liveinst
cmdline_file:   BOOT_IMAGE=/vmlinuz-4.3.0-0.rc5.git2.1.fc24.x86_64 root=/dev/mapper/fedora_tyan--gt24--05-root ro rd.lvm.lv=fedora_tyan-gt24-05/root rd.lvm.lv=fedora_tyan-gt24-05/swap console=ttyS0,115200 LANG=en_US.UTF-8
executable:     ./anaconda
hashmarkername: anaconda
kernel:         4.3.0-0.rc5.git2.1.fc24.x86_64
other involved packages: python3-libs-3.4.3-5.fc24.x86_64, python3-kickstart-2.18-1.fc24.noarch
product:        Fedora
release:        Fedora release 24 (Rawhide)
type:           anaconda
version:        rawhide
Comment 1 Alexander Todorov 2015-10-29 11:00:20 EDT
Created attachment 1087586 [details]
File: anaconda-tb
Comment 2 Alexander Todorov 2015-10-29 11:00:21 EDT
Created attachment 1087587 [details]
File: anaconda.log
Comment 3 Alexander Todorov 2015-10-29 11:00:23 EDT
Created attachment 1087588 [details]
File: dnf.log
Comment 4 Alexander Todorov 2015-10-29 11:00:24 EDT
Created attachment 1087589 [details]
File: dnf.rpm.log
Comment 5 Alexander Todorov 2015-10-29 11:00:25 EDT
Created attachment 1087590 [details]
File: environ
Comment 6 Alexander Todorov 2015-10-29 11:00:29 EDT
Created attachment 1087591 [details]
File: journalctl
Comment 7 Alexander Todorov 2015-10-29 11:00:30 EDT
Created attachment 1087592 [details]
File: lsblk_output
Comment 8 Alexander Todorov 2015-10-29 11:00:31 EDT
Created attachment 1087593 [details]
File: nmcli_dev_list
Comment 9 Alexander Todorov 2015-10-29 11:00:32 EDT
Created attachment 1087594 [details]
File: os_info
Comment 10 Alexander Todorov 2015-10-29 11:00:34 EDT
Created attachment 1087595 [details]
File: program.log
Comment 11 Alexander Todorov 2015-10-29 11:00:35 EDT
Created attachment 1087596 [details]
File: storage.log
Comment 12 Alexander Todorov 2015-10-29 11:00:37 EDT
Created attachment 1087597 [details]
File: packaging.log
Comment 13 Chen-Pang He 2016-02-03 13:02:08 EST
*** Bug 1304471 has been marked as a duplicate of this bug. ***
Comment 14 Jan Kurik 2016-02-24 08:53:17 EST
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase
Comment 16 Mike McCune 2016-03-28 18:15:42 EDT
This bug was accidentally moved from POST to MODIFIED via an error in automation, please see mmccune@redhat.com with any questions
Comment 17 Fedora End Of Life 2017-07-25 15:24:49 EDT
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 18 Fedora End Of Life 2017-08-08 08:20:23 EDT
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.